LinHES - Bug # 831: Modifying MythVantage Display settings without Internet access kills X.

Status: Closed Priority: Normal

Author: turpie Category: Other

Created: 05/15/2012 Assignee: jams

Updated: 10/30/2012 Due date:

Description: I recently moved house and didn't yet have internet access, | also bought a new HDTV. While attempting to

change to a higher resolution | changed something in the MythVantage Display options, which caused
pacman to uninstall all the X drivers and then attempt to reinstall the nVidia drivers. Unfortunately because
there was one internet access it couldn't reinstall the drivers and now X wont start.

History

05/15/2012 06:37 pm - turpie
- File photo.JPG added

05/16/2012 04:23 pm - brfransen
What does @ls /data/var/cache/pacman/pkg/nvidia*@ show?

05/20/2012 05:13 pm - turpie

Here is the info you requested, plus the pacman.log from when | believe the problem began. Now that | have internet access again | have also tried
rerunning the last command from the pacman.log (pacman -S nvidia nvidia-utils). | now have X running again, and the boot process is no longer getting
stuck.

# Is /data/var/cache/pacman/pkg/nvidia*
/data/var/cache/pacman/pkg/nvidia-173xx-173.14.30-4-i686.pkg.tar.xz
/data/var/cache/pacman/pkg/nvidia-173xx-utils-173.14.30-1-i686.pkg.tar.xz
/data/var/cache/pacman/pkg/nvidia-285.05.09-1-i686.pkg.tar.xz
/data/var/cache/pacman/pkg/nvidia-290.10-2-i686.pkg.tar.xz
/data/var/cache/pacman/pkg/nvidia-96xx-96.43.19-7-i686.pkg.tar.xz
/data/var/cache/pacman/pkg/nvidia-96xx-utils-96.43.19-3-i686.pkg.tar.xz
/data/var/cache/pacman/pkg/nvidia-utils-285.05.09-1-i686.pkg.tar.xz
/data/var/cache/pacman/pkg/nvidia-utils-290.10-1-i686.pkg.tar.xz

# vi pacman.log

[2012-04-27 21:30] starting full system upgrade

[2012-05-12 09:10] Running 'pacman --noconfirm -Rdd libgl'

[2012-05-12 09:10] Running 'pacman --noconfirm -Rdd nvidia'
[2012-05-12 09:10] removed nvidia (290.10-2)

[2012-05-12 09:10] Running '‘pacman --noconfirm -Rdd nvidia-utils'
[2012-05-12 09:10] removed nvidia-utils (290.10-1)

[2012-05-12 09:10] Running 'pacman --noconfirm -Rdd nvidia-173xx’
[2012-05-12 09:10] Running 'pacman --noconfirm -Rdd nvidia-173xx-utils'
[2012-05-12 09:10
[2012-05-12 09:10
[2012-05-12 09:10] Running 'pacman --noconfirm -Rc ati-dri'

Running 'pacman --noconfirm -Rdd nvidia-96xx'

Running 'pacman --noconfirm -Rdd nvidia-96xx-utils'

|
|
|
|
]
]
[2012-05-12 09:10] Running 'pacman --noconfirm -Rc xf86-video-ati'
[2012-05-12 09:10] Running 'pacman --noconfirm -Rc intel-dri'
[2012-05-12 09:10] Running '‘pacman --noconfirm -Rc xf86-video-intel'
[2012-05-12 09:10] Running '‘pacman --noconfirm -Rc mga-dri'
[2012-05-12 09:10] Running 'pacman --noconfirm -Rc xf86-video-mga'

[2012-05-12 09:10] Running 'pacman --noconfirm -Rc savage-dri'
[2012-05-12 09:10] Running 'pacman --noconfirm -Rc xf86-video-savage'
[2012-05-12 09:10] Running '‘pacman --noconfirm -Rc sis-dri'

[2012-05-12 09:10] Running 'pacman --noconfirm -Rc xf86-video-sis'
[2012-05-12 09:10] Running '‘pacman --noconfirm -Rc unichrome-dri'
[2012-05-12 09:10] Running 'pacman --noconfirm -Rc xf86-video-unichrome'
[2012-05-12 09:10] Running '‘pacman --noconfirm -S nvidia nvidia-utils'
[2012-05-13 22:08
[2012-05-13 22:08
[2012-05-13 22:10] Running 'pacman -S nvidia nvidia-utils'

Running 'pacman -Syu nvidia'
synchronizing package lists

]
]
]
]

# pacman -S nvidia nvidia-utils
resolving dependencies...
looking for inter-conflicts...

Targets (2): nvidia-utils-280.13-1 nvidia-280.13-1

Total Download Size: 12.00 MB
Total Installed Size: 44.29 MB

Proceed with installation? [Y/n]

Here is the pacman.log AFTER manually running @ pacman -S nvidia nvidia-utils @ and then playing with the Display Settings again.

[2012-05-18 20:02] Running 'pacman -S nvidia nvidia-utils'

[2012-05-18 20:12] installed nvidia-utils (280.13-1)

[2012-05-18 20:12] In order to use nvidia module, reboot the system.
[2012-05-18 20:12] installed nvidia (280.13-1)

[2012-05-18 20:18] Running '‘pacman -Syu'

[2012-05-18 20:18] synchronizing package lists

[2012-05-18 20:18] starting full system upgrade

[2012-05-18 20:27] Running 'pacman --noconfirm -Rdd libgl'

[2012-05-18 20:27] Running 'pacman --noconfirm -Rdd nvidia'
[2012-05-18 20:27] removed nvidia (280.13-1)

[2012-05-18 20:27] Running '‘pacman --noconfirm -Rdd nvidia-utils'
[2012-05-18 20:27] removed nvidia-utils (280.13-1)

[2012-05-18 20:27] Running '‘pacman --noconfirm -Rdd nvidia-173xx'
[2012-05-18 20:27] Running 'pacman --noconfirm -Rdd nvidia-173xx-utils'
[2012-05-18 20:27] Running 'pacman --noconfirm -Rdd nvidia-96xx'
[2012-05-18 20:27] Running '‘pacman --noconfirm -Rdd nvidia-96xx-utils'
[2012-05-18 20:27] Running 'pacman --noconfirm -Rc ati-dri'

[2012-05-18 20:27] Running 'pacman --noconfirm -Rc xf86-video-ati'
[2012-05-18 20:27] Running 'pacman --noconfirm -Rc intel-dri'
[2012-05-18 20:27] Running 'pacman --noconfirm -Rc xf86-video-intel'
[2012-05-18 20:27] Running 'pacman --noconfirm -Rc mga-dri'
[2012-05-18 20:27
[2012-05-18 20:27
[2012-05-18 20:27] Running 'pacman --noconfirm -Rc xf86-video-savage'

Running 'pacman --noconfirm -Rc xf86-video-mga'

Running 'pacman --noconfirm -Rc savage-dri'

]
]
]
]
]
]
[2012-05-18 20:27] Running '‘pacman --noconfirm -Rc sis-dri'

[2012-05-18 20:27] Running 'pacman --noconfirm -Rc xf86-video-sis'
[2012-05-18 20:27] Running 'pacman --noconfirm -Rc unichrome-dri'
[2012-05-18 20:27] Running 'pacman --noconfirm -Rc xf86-video-unichrome'
[2012-05-18 20:27] Running 'pacman --noconfirm -S nvidia nvidia-utils'

[2012-05-18 20:27] installed nvidia-utils (280.13-1)
[2012-05-18 20:27] In order to use nvidia module, reboot the system.
[2012-05-18 20:27] installed nvidia (280.13-1)

[root@mythtv log)# Is /data/var/cache/pacman/pkg/nvidia*
/data/var/cache/pacman/pkg/nvidia-173xx-173.14.30-4-i686.pkg.tar.xz
/data/var/cache/pacman/pkg/nvidia-173xx-utils-173.14.30-1-i686.pkg.tar.xz
/data/var/cache/pacman/pkg/nvidia-280.13-1-i686.pkg.tar.xz
/data/var/cache/pacman/pkg/nvidia-285.05.09-1-i686.pkg.tar.xz
/data/var/cache/pacman/pkg/nvidia-290.10-2-i686.pkg.tar.xz
/data/var/cache/pacman/pkg/nvidia-96xx-96.43.19-7-i686.pkg.tar.xz
/data/var/cache/pacman/pkg/nvidia-96xx-utils-96.43.19-3-i686.pkg.tar.xz
/data/var/cache/pacman/pkg/nvidia-utils-280.13-1-i686.pkg.tar.xz
/data/var/cache/pacman/pkg/nvidia-utils-285.05.09-1-i686.pkg.tar.xz
/data/var/cache/pacman/pkg/nvidia-utils-290.10-1-i686.pkg.tar.xz
[root@mythtv logl#

10/30/2012 06:08 am - jams
- Assignee set to jams

- Status changed from New to Closed

- Target version set to 8.0

This has been resolved in R8.

The system will now try to d/l the packages or check cache. If the needed packages are not found it will abort the change and leave the existing config

in place

Files

photo.JPG 1.4 MB 05/15/2012 turpie
